summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authornobu <nobu@b2dd03c8-39d4-4d8f-98ff-823fe69b080e>2018-03-01 02:33:15 +0000
committernobu <nobu@b2dd03c8-39d4-4d8f-98ff-823fe69b080e>2018-03-01 02:33:15 +0000
commit3f465cc6b4b0d16689cb4f01714ab3fb03254bb5 (patch)
tree044fd9af6759b6de9d01cbf985f3e00823016787
parent7d34ed6ecb9506847c4c85170d8df351b5678ad0 (diff)
bisect.sh: make srcs in builddir [ci skip]
* tool/bisect.sh: also srcs needs Makefile, must in the build but not the source directory. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@62618 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
-rwxr-xr-xtool/bisect.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/tool/bisect.sh b/tool/bisect.sh
index d486c9cfc6..b7cad3322d 100755
--- a/tool/bisect.sh
+++ b/tool/bisect.sh
@@ -21,15 +21,15 @@ case $1 in
exec git bisect run "$path" "run-$1"
;;
run-miniruby )
- $MAKE srcs || exit 125
cd "${0%/*}" || exit 125 # assume a copy of this script is in builddir
+ $MAKE srcs || exit 125
$MAKE Makefile || exit 125
$MAKE mini || exit 125
$MAKE run || exit 1
;;
run-ruby )
- $MAKE srcs || exit 125
cd "${0%/*}" || exit 125 # assume a copy of this script is in builddir
+ $MAKE srcs || exit 125
$MAKE Makefile || exit 125
$MAKE program || exit 125
$MAKE runruby || exit 1